org.apache.ignite.internal.processors.cache

## Interface KeyCacheObject

All Superinterfaces:
  CacheObject, Message, Serializable

All Known Implementing Classes:
  BinaryObjectImpl, KeyCacheObjectImpl, UserKeyCacheObjectImpl

    public interface KeyCacheObject
    extends CacheObject

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`TYPE_BINARY, TYPE_BINARY_ENUM, TYPE_BYTE_ARR, TYPE_REGULAR`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Method Summary

All Methods Instance Methods Abstract Methods
`KeyCacheObject` `copy(int part)`
`int` `hashCode()`
`boolean` `internal()`
`int` `partition()`
`void` `partition(int part)` Sets partition ID for this key.

### Methods inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`cacheObjectType, finishUnmarshal, isPlatformType, prepareForCache, prepareMarshal, putValue, putValue, putValue, value, valueBytes, valueBytesLength`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, fieldsCount, onAckReceived, readFrom, writeTo`

### Method Detail

#### hashCode

    int hashCode()

Overrides:
  `hashCode` in class `Object`
Returns:
  Key hash code.

#### internal

    boolean internal()

Returns:
  `True` if internal cache key.

#### partition

    int partition()

Returns:
  Partition ID for this key or -1 if it is unknown.

#### partition

    void partition(int part)

Sets partition ID for this key.

Parameters:
  `part` - Partition ID.

#### copy

    KeyCacheObject copy(int part)

Parameters:
  `part` - Partition ID.
Returns:
  Copy of this object with given partition set.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018